<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoGeneratedRunConfigurationManager">
    <projectFile>AvaloniaSideBarEx.csproj</projectFile>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6193c8f5-09fb-4eb8-91bb-183b27183278" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/Services/INotificationService.cs" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Services/NotificationService.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/App.axaml" beforeDir="false" afterPath="$PROJECT_DIR$/App.axaml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/App.axaml.cs" beforeDir="false" afterPath="$PROJECT_DIR$/App.axaml.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/AvaloniaSideBarEx.csproj" beforeDir="false" afterPath="$PROJECT_DIR$/AvaloniaSideBarEx.csproj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ViewModels/HomeViewModel.cs" beforeDir="false" afterPath="$PROJECT_DIR$/ViewModels/HomeViewModel.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Views/HomeView.axaml" beforeDir="false" afterPath="$PROJECT_DIR$/Views/HomeView.axaml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Views/MainWindow.axaml.cs" beforeDir="false" afterPath="$PROJECT_DIR$/Views/MainWindow.axaml.cs" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DpaMonitoringSettings">
    <option name="firstShow" value="false" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="mock://C:/Users/xian/Desktop/Project/RiderProjects/AvaloniaSideBarEx/App.axaml" root0="SKIP_HIGHLIGHTING" />
    <setting file="mock://C:/Users/xian/Desktop/Project/RiderProjects/AvaloniaSideBarEx/App.axaml.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Models/MenuItemModel.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Services/INotificationService.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Services/NotificationService.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/ViewModels/AboutViewModel.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/ViewModels/HomeViewModel.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="mock://C:/Users/xian/Desktop/Project/RiderProjects/AvaloniaSideBarEx/ViewModels/HomeViewModel.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/ViewModels/SettingsViewModel.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Views/AboutView.axaml" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Views/AboutView.axaml.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="mock://C:/Users/xian/Desktop/Project/RiderProjects/AvaloniaSideBarEx/Views/HomeView.axaml" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Views/HomeView.axaml" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Views/HomeView.axaml.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="mock://C:/Users/xian/Desktop/Project/RiderProjects/AvaloniaSideBarEx/Views/MainWindow.axaml.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Views/SettingsView.axaml" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Views/SettingsView.axaml.cs" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MetaFilesCheckinStateConfiguration" checkMetaFiles="true" />
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 1
}</component>
  <component name="ProjectId" id="36xa5SEjgJiBGYyNcsxpr0PxQ3D" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    ".NET Project.AvaloniaSideBarEx.executor": "Run",
    "ModuleVcsDetector.initialDetectionPerformed": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.TerminalTabsStorage.copyFrom.TerminalArrangementManager.252": "true",
    "RunOnceActivity.git.unshallow": "true",
    "RunOnceActivity.typescript.service.memoryLimit.init": "true",
    "git-widget-placeholder": "b60ef225",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "preferences.sourceCode.C#",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RunManager">
    <configuration name="AvaloniaSideBarEx" type="DotNetProject" factoryName=".NET Project">
      <option name="EXE_PATH" value="" />
      <option name="PROGRAM_PARAMETERS" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="PASS_PARENT_ENVS" value="1" />
      <option name="ENV_FILE_PATHS" value="" />
      <option name="REDIRECT_INPUT_PATH" value="" />
      <option name="MIXED_MODE_DEBUG" value="0" />
      <option name="USE_MONO" value="0" />
      <option name="RUNTIME_ARGUMENTS" value="" />
      <option name="AUTO_ATTACH_CHILDREN" value="0" />
      <option name="PROJECT_PATH" value="$PROJECT_DIR$/AvaloniaSideBarEx.csproj" />
      <option name="PROJECT_EXE_PATH_TRACKING" value="1" />
      <option name="PROJECT_ARGUMENTS_TRACKING" value="1" />
      <option name="PROJECT_WORKING_DIRECTORY_TRACKING" value="1" />
      <option name="PROJECT_KIND" value="DotNetCore" />
      <option name="PROJECT_TFM" value="" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6193c8f5-09fb-4eb8-91bb-183b27183278" name="Changes" comment="" />
      <created>1765950492573</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1765950492573</updated>
      <workItem from="1765950493701" duration="1071000" />
      <workItem from="1765954664107" duration="14839000" />
      <workItem from="1766025005474" duration="8030000" />
      <workItem from="1766067097141" duration="3250000" />
    </task>
    <task id="LOCAL-00001" summary="修改MenuItems改採用Model，使其更趨近於MVVM的概念">
      <option name="closed" value="true" />
      <created>1766030170145</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1766030170145</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="UnityCheckinConfiguration" checkUnsavedScenes="true" />
  <component name="UnityProjectConfiguration" hasMinimizedUI="false" />
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CLEAR_INITIAL_COMMIT_MESSAGE" value="true" />
    <MESSAGE value="修改MenuItems改採用Model，使其更趨近於MVVM的概念" />
    <option name="LAST_COMMIT_MESSAGE" value="修改MenuItems改採用Model，使其更趨近於MVVM的概念" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.OperationCanceledException" breakIfHandledByOtherCode="false" displayValue="System.OperationCanceledException" />
          <option name="timeStamp" value="1" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.Tasks.TaskCanceledException" breakIfHandledByOtherCode="false" displayValue="System.Threading.Tasks.TaskCanceledException" />
          <option name="timeStamp" value="2" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.ThreadAbortException" breakIfHandledByOtherCode="false" displayValue="System.Threading.ThreadAbortException" />
          <option name="timeStamp" value="3" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>